.active-corner {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 1;
  @media #{$gl-xs} {
    display: none;
  }
  @media #{$gl-md} {
    top: 3rem;
  }

  .fold-corner {
    position: relative;
    z-index: map-get($z-index, 'active-corner-graphic');

    &::after {
      transition: .3s ease-out;
      content: '';
      cursor: pointer;
      border-width: 0 $corner-size $corner-size 0;
      border-style: solid;
      border-color: $site $site $primarydarken $primarydarken;
      display: block;
      width: 0;
      transform: rotate(0);
    }
  }

  .corner-label {
    @include fontapercu;
    font-size: $fontsize-xxs;
    display: inline-block;
    transform: rotate(45deg);
    position: absolute;
    top: .9rem;
    right: .2rem;
    z-index: map-get($z-index, 'active-corner-label');
  }

  a {
    display: inline-block;
    position: absolute;
    content: ' ';
    width: $corner-size;
    height: $corner-size;
    top: 0;
    right: 0;
    z-index: 5;

    &:hover {
      width: $corner-size-bigger;
      height: $corner-size-bigger;

      & ~ .fold-corner {
        &::after {
          border-color: $site $site $secondary $secondary;
          border-width: 0 $corner-size-bigger $corner-size-bigger 0;
        }
      }
    }
  }
}

.user-logged-in {
  .active-corner {
    top: 89px;
  }
}